[26977] in Source-Commits
/svn/athena r25868 - trunk/debathena/scripts
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Thu Mar 28 11:00:19 2013
Date: Thu, 28 Mar 2013 11:00:09 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201303281500.r2SF09n1032122@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2013-03-28 11:00:09 -0400 (Thu, 28 Mar 2013)
New Revision: 25868
Modified:
trunk/debathena/scripts/dacopy
Log:
* Allow moving to/from bleeding with warnings.
Modified: trunk/debathena/scripts/dacopy
===================================================================
--- trunk/debathena/scripts/dacopy 2013-03-28 14:26:57 UTC (rev 25867)
+++ trunk/debathena/scripts/dacopy 2013-03-28 15:00:09 UTC (rev 25868)
@@ -18,8 +18,16 @@
if [ "$1" = "-bleeding" ] || [ "$2" = "-bleeding" ]; then
echo "You're not supposed to move or copy things to or from -bleeding."
- echo "Exiting..."
- exit 1
+ if [ "${DA_SHOOT_SELF_IN_FOOT:-x}" != "yesplease" ]; then
+ echo "Exiting..."
+ exit 1
+ fi
+ echo -n "This is a terrible idea. Type 'y' to continue anyway: "
+ read answer
+ if [ "$answer" != "y" ]; then
+ echo "You have chosen wisely."
+ exit 1
+ fi
fi